<?php

namespace Planaday\Config\Course\General;

use Planaday\Config\Course\CourseOptionsEnum;
use Planaday\Config\OptionGroupEnum;

enum GeneralOptionsEnum: string implements OptionGroupEnum{
	case DAY_PART_TEXT = 'DAY_PART_TEXT';
	case INCLUDE_OPTION_IN_COUNT = 'INCLUDE_OPTION_IN_COUNT';
	case SKIP_E_LEARNING_ONLY = 'SKIP_E_LEARNING_ONLY';
	case E_LEARNING_COUNTS_AS_START = 'E_LEARNING_COUNTS_AS_START';
	case INCLUDE_E_LEARNING_DAY_PARTS = 'INCLUDE_E_LEARNING_DAY_PARTS';

	public static function getClassName(): string {
		return GeneralSettings::class;
	}

	public static function getParentEnum(): ?OptionGroupEnum {
		return CourseOptionsEnum::GENERAL_SETTINGS;
	}
}